Update a document Run in API Explorer
Ask AI
PUT
/api/v1/document/{uuid}
curl \
--request PUT 'https://api.plannrcrm.com/api/v1/document/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"name": "Client Service Agreement",
"client_uuids": [
"102618ac-0ab3-4445-880d-dc42786f307a",
"48b11c9e-4ba4-42da-99c1-f242ed2fd4ce",
"57b6909c-b521-473a-9a7d-fc7f26b52261"
],
"known_dependants": {
"client-1": "8f534cf3-b4c8-446c-acab-a41fa9f1acf5"
}
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"name": "Client Service Agreement",
"client_uuids": [
"102618ac-0ab3-4445-880d-dc42786f307a",
"48b11c9e-4ba4-42da-99c1-f242ed2fd4ce",
"57b6909c-b521-473a-9a7d-fc7f26b52261"
],
"known_dependants": {
"client-1": "8f534cf3-b4c8-446c-acab-a41fa9f1acf5"
}
}
Response examples (200)
[
{
"uuid": "d0af6b72-d60a-4b90-86b2-f4e212926d17",
"created_at": "2026-11-17T20:47:11+00:00",
"updated_at": "2026-11-17T20:47:11+00:00",
"version": 3,
"name": "Welcome Template",
"status": "published",
"last_publishing_error": "There was an error converting this file to PDF. Please try again later.",
"required_dependants": {
"client-1": "client"
},
"known_dependants": {
"client-1": "649b7138-3331-4ac0-ac74-d45319e85317"
},
"public_docx_url": "https://api.plannrcrm.com/document/bb6c8aea-b266-4a08-a9a0-b365b30b2029/content/docx?plannr_account_uuid=85c7983d-905c-4641-915d-afe5210489a6",
"public_sfdt_url": "https://api.plannrcrm.com/document/4edfcde4-4234-4a2f-a086-a2249d06f0fb/content/sfdt?plannr_account_uuid=b38fa2dd-161e-4fd0-b2a3-3079b7ea6212",
"public_pdf_url": "https://api.plannrcrm.com/document/c204cc65-d80e-4499-ac1a-eaf1e468bf44/content/pdf?plannr_account_uuid=18d52623-b32f-446c-bc54-f8753a18ce4e",
"public_preview_url": "https://api.plannrcrm.com/document/8ea8ab2b-23e3-4ee7-ac49-1eeacc30655e/content/preview?plannr_account_uuid=e462ab95-d2ef-479e-83fa-ca9b725e471c"
}
]
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}